<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/ModifierBase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d0e/_modifier_base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ModifierBase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/d0e/_modifier_base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a676f8ade05004f01037a24bd37fe2dcf"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a> { <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">TICK</a> = 1
, <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">ACTIVATE_CHECK</a> = 2
, <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">DEACTIVATE_CHECK</a> = 4
 }</td></tr>
<tr class="separator:a676f8ade05004f01037a24bd37fe2dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a28fe45992845d0491f1a5bbd669e366c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a28fe45992845d0491f1a5bbd669e366c">ModifierBase</a> ()</td></tr>
<tr class="separator:a28fe45992845d0491f1a5bbd669e366c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47706b4a038ab21995bc1b331cd42164"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a47706b4a038ab21995bc1b331cd42164">InitBase</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a> manager)</td></tr>
<tr class="separator:a47706b4a038ab21995bc1b331cd42164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">Init</a> ()</td></tr>
<tr class="memdesc:a1e3b6d38df0786ccf7f938d60e386aae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../de/d0e/_modifier_base_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">More...</a><br /></td></tr>
<tr class="separator:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a> ()</td></tr>
<tr class="separator:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80bd177c35acb39cd6a311c2749331f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ae80bd177c35acb39cd6a311c2749331f">IsPersistent</a> ()</td></tr>
<tr class="separator:ae80bd177c35acb39cd6a311c2749331f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc4b2dd05773180bb31f1a308f2f256"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#adfc4b2dd05773180bb31f1a308f2f256">MakeParamObjectPersistent</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> object)</td></tr>
<tr class="separator:adfc4b2dd05773180bb31f1a308f2f256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89faf32949abaf245f7b506f01351292"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a89faf32949abaf245f7b506f01351292">ResetLastTickTime</a> ()</td></tr>
<tr class="separator:a89faf32949abaf245f7b506f01351292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd9a46dacf9365e51745eec480db6c79"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#afd9a46dacf9365e51745eec480db6c79">GetDebugText</a> ()</td></tr>
<tr class="separator:afd9a46dacf9365e51745eec480db6c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad884dcdee193a44a106239c033022692"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ad884dcdee193a44a106239c033022692">GetDebugTextSimple</a> ()</td></tr>
<tr class="separator:ad884dcdee193a44a106239c033022692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771f17acf34676182be64e41430920e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a> ()</td></tr>
<tr class="separator:a771f17acf34676182be64e41430920e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13bf3a75b607c3eb20546dbb90db2f2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a> ()</td></tr>
<tr class="separator:a13bf3a75b607c3eb20546dbb90db2f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab67045236526b55e73528b15d854bd1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ab67045236526b55e73528b15d854bd1a">Tick</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:ab67045236526b55e73528b15d854bd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd2bd274749fe88c223cf2309f6fb9d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a> ()</td></tr>
<tr class="separator:acd2bd274749fe88c223cf2309f6fb9d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f21197fea104d859b8ac72f8c501660"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a4f21197fea104d859b8ac72f8c501660">SetLock</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:a4f21197fea104d859b8ac72f8c501660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c5ca6db77e6e3d30a98b7b98a7dafc8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">IsLocked</a> ()</td></tr>
<tr class="separator:a9c5ca6db77e6e3d30a98b7b98a7dafc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6189534ed07c7b6268b921bc19d6153d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a6189534ed07c7b6268b921bc19d6153d">IsTrackAttachedTime</a> ()</td></tr>
<tr class="separator:a6189534ed07c7b6268b921bc19d6153d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d27673678a2b8c86ee597aa1ab6db0a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a> ()</td></tr>
<tr class="separator:a6d27673678a2b8c86ee597aa1ab6db0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253f06963fec3e74de8204441b28f497"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a253f06963fec3e74de8204441b28f497">SetAttachedTime</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:a253f06963fec3e74de8204441b28f497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe1dc29d7ebac0991b4068bd25a8c17"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#acbe1dc29d7ebac0991b4068bd25a8c17">GetModifierID</a> ()</td></tr>
<tr class="separator:acbe1dc29d7ebac0991b4068bd25a8c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac97112280cc4435c8df3c88070c839b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a> ()</td></tr>
<tr class="memdesc:gac97112280cc4435c8df3c88070c839b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name which is set for the ParticleManager, default is "ParticleSourceManager".  <a href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">More...</a><br /></td></tr>
<tr class="separator:gac97112280cc4435c8df3c88070c839b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3eb1a0de40f1e9920e7bd7cdb8b2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a3bae3eb1a0de40f1e9920e7bd7cdb8b2">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a3bae3eb1a0de40f1e9920e7bd7cdb8b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8879cef16fda96986b90ccfea1af00d4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a8879cef16fda96986b90ccfea1af00d4">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a8879cef16fda96986b90ccfea1af00d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf1f4a946562de51ffce20654c40d4ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aaf1f4a946562de51ffce20654c40d4ed">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="memdesc:aaf1f4a946562de51ffce20654c40d4ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">is called when an inactive modifier gets activated during gameplay, is NOT called on activation upon player server connection(see OnReconnect)  <a href="../../de/d0e/_modifier_base_8c.html#aaf1f4a946562de51ffce20654c40d4ed">More...</a><br /></td></tr>
<tr class="separator:aaf1f4a946562de51ffce20654c40d4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7d058521c8fb071a42bb730bfe9d18"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#acb7d058521c8fb071a42bb730bfe9d18">OnReconnect</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="memdesc:acb7d058521c8fb071a42bb730bfe9d18"><td class="mdescLeft">&#160;</td><td class="mdescRight">is called when a modifier is being re-activated upon player server connection, use to activate systems which are not persistent and need to run alongside active modifiers  <a href="../../de/d0e/_modifier_base_8c.html#acb7d058521c8fb071a42bb730bfe9d18">More...</a><br /></td></tr>
<tr class="separator:acb7d058521c8fb071a42bb730bfe9d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca9bdf3a9820e956414c1c95cb1bcf8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aca9bdf3a9820e956414c1c95cb1bcf8b">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aca9bdf3a9820e956414c1c95cb1bcf8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8753efaeea05f65094a4875a694a368"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a> ()</td></tr>
<tr class="separator:ae8753efaeea05f65094a4875a694a368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac28402df023315ef1d7ff94b147dfdd1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ac28402df023315ef1d7ff94b147dfdd1">ActivateRequest</a> (<a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a> trigger)</td></tr>
<tr class="separator:ac28402df023315ef1d7ff94b147dfdd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad612d0926324764327bf72adae591dbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> trigger=true)</td></tr>
<tr class="separator:ad612d0926324764327bf72adae591dbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad975050d7a080cca462e74c604f404a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ad975050d7a080cca462e74c604f404a2">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:ad975050d7a080cca462e74c604f404a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fbca2c8faa29c9f2abded7f8c1efbe"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ad5fbca2c8faa29c9f2abded7f8c1efbe">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:ad5fbca2c8faa29c9f2abded7f8c1efbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a381cc1e1edcfb40ace8358de0ee8cbd4"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a381cc1e1edcfb40ace8358de0ee8cbd4">m_ID</a> = 0</td></tr>
<tr class="separator:a381cc1e1edcfb40ace8358de0ee8cbd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30d63017a9f01517dc55d70e098b89b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a></td></tr>
<tr class="separator:a30d63017a9f01517dc55d70e098b89b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5f68bcb6c9223635590cb69f9c9dd73"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ac5f68bcb6c9223635590cb69f9c9dd73">m_System</a> = &quot;Modifiers&quot;</td></tr>
<tr class="separator:ac5f68bcb6c9223635590cb69f9c9dd73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92eca2aaad5eb72f13c39aff3d5f5881"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a></td></tr>
<tr class="separator:a92eca2aaad5eb72f13c39aff3d5f5881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ae6d90cb75d3086c27e65cddd358a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></td></tr>
<tr class="separator:a04ae6d90cb75d3086c27e65cddd358a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8326cd63358abd4d8bfa7c8538fecd4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></td></tr>
<tr class="separator:ae8326cd63358abd4d8bfa7c8538fecd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db3d46d75d2864daed52041fe1f0973"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a4db3d46d75d2864daed52041fe1f0973">m_Player</a></td></tr>
<tr class="separator:a4db3d46d75d2864daed52041fe1f0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5f52b5eb22d81599e8a25ec6055d22"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a> = 5</td></tr>
<tr class="separator:aad5f52b5eb22d81599e8a25ec6055d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa2d760c0099abe3d671d7c4c6368f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a> = 3</td></tr>
<tr class="separator:aa9aa2d760c0099abe3d671d7c4c6368f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3d3c40e1c50b7a9d14cb880b784df2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a></td></tr>
<tr class="separator:a9a3d3c40e1c50b7a9d14cb880b784df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77065db0317ac406335a69e6fe27753d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a></td></tr>
<tr class="separator:a77065db0317ac406335a69e6fe27753d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c17a64f57c5921e4fb31dfacefcaf2f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a></td></tr>
<tr class="separator:a4c17a64f57c5921e4fb31dfacefcaf2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fb679b8e90e81e1e525edb05fe938a5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a></td></tr>
<tr class="separator:a3fb679b8e90e81e1e525edb05fe938a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a978d545fd7b03e57181c61fcb8ab3b44"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a978d545fd7b03e57181c61fcb8ab3b44">m_LastTickedActive</a></td></tr>
<tr class="separator:a978d545fd7b03e57181c61fcb8ab3b44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f3681cfa34208f711ba22331159bc7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> = (<a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">eModifiersTickType.TICK</a> | <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">eModifiersTickType.ACTIVATE_CHECK</a> | <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">eModifiersTickType.DEACTIVATE_CHECK</a>)</td></tr>
<tr class="separator:a9f3681cfa34208f711ba22331159bc7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c3121c9df7e0829e173def9fbcd88b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a9c3121c9df7e0829e173def9fbcd88b0">m_LastTickedInactive</a></td></tr>
<tr class="separator:a9c3121c9df7e0829e173def9fbcd88b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78ba1865a3e39379bcede97665de0d41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">m_IsLocked</a> = false</td></tr>
<tr class="separator:a78ba1865a3e39379bcede97665de0d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e751efa3b0bf89b63227e0cee2e250"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a></td></tr>
<tr class="separator:ac3e751efa3b0bf89b63227e0cee2e250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa13e9ceb481752169c6aa44663e496d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a></td></tr>
<tr class="separator:aa13e9ceb481752169c6aa44663e496d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af725073fee975b834ffbf029b1e97b70"><td class="memItemLeft" align="right" valign="top">PluginPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/_modifier_base_8c.html#af725073fee975b834ffbf029b1e97b70">m_ModulePlayerStatus</a></td></tr>
<tr class="separator:af725073fee975b834ffbf029b1e97b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a676f8ade05004f01037a24bd37fe2dcf" name="a676f8ade05004f01037a24bd37fe2dcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a676f8ade05004f01037a24bd37fe2dcf">&#9670;&#160;</a></span>eModifiersTickType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd" name="a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd"></a>TICK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3" name="a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3"></a>ACTIVATE_CHECK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3" name="a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3"></a>DEACTIVATE_CHECK&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae8753efaeea05f65094a4875a694a368" name="ae8753efaeea05f65094a4875a694a368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8753efaeea05f65094a4875a694a368">&#9670;&#160;</a></span>Activate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Activate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00201">201</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a3bae3eb1a0de40f1e9920e7bd7cdb8b2" name="a3bae3eb1a0de40f1e9920e7bd7cdb8b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bae3eb1a0de40f1e9920e7bd7cdb8b2">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00174">174</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ac28402df023315ef1d7ff94b147dfdd1" name="ac28402df023315ef1d7ff94b147dfdd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac28402df023315ef1d7ff94b147dfdd1">&#9670;&#160;</a></span>ActivateRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActivateRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>&#160;</td>
          <td class="paramname"><em>trigger</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00210">210</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ad612d0926324764327bf72adae591dbd" name="ad612d0926324764327bf72adae591dbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad612d0926324764327bf72adae591dbd">&#9670;&#160;</a></span>Deactivate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Deactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>trigger</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00216">216</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a8879cef16fda96986b90ccfea1af00d4" name="a8879cef16fda96986b90ccfea1af00d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8879cef16fda96986b90ccfea1af00d4">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00179">179</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a771f17acf34676182be64e41430920e6" name="a771f17acf34676182be64e41430920e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a771f17acf34676182be64e41430920e6">&#9670;&#160;</a></span>DisableActivateCheck()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DisableActivateCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00078">78</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a13bf3a75b607c3eb20546dbb90db2f2f" name="a13bf3a75b607c3eb20546dbb90db2f2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13bf3a75b607c3eb20546dbb90db2f2f">&#9670;&#160;</a></span>DisableDeactivateCheck()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DisableDeactivateCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00083">83</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a6d27673678a2b8c86ee597aa1ab6db0a" name="a6d27673678a2b8c86ee597aa1ab6db0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d27673678a2b8c86ee597aa1ab6db0a">&#9670;&#160;</a></span>GetAttachedTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetAttachedTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00150">150</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="afd9a46dacf9365e51745eec480db6c79" name="afd9a46dacf9365e51745eec480db6c79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd9a46dacf9365e51745eec480db6c79">&#9670;&#160;</a></span>GetDebugText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetDebugText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00068">68</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ad884dcdee193a44a106239c033022692" name="ad884dcdee193a44a106239c033022692"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad884dcdee193a44a106239c033022692">&#9670;&#160;</a></span>GetDebugTextSimple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetDebugTextSimple </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00073">73</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="acbe1dc29d7ebac0991b4068bd25a8c17" name="acbe1dc29d7ebac0991b4068bd25a8c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe1dc29d7ebac0991b4068bd25a8c17">&#9670;&#160;</a></span>GetModifierID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetModifierID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00160">160</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aaf6ee4d1f067be1038b7a662af6af1bf" name="aaf6ee4d1f067be1038b7a662af6af1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf6ee4d1f067be1038b7a662af6af1bf">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00047">47</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a1e3b6d38df0786ccf7f938d60e386aae" name="a1e3b6d38df0786ccf7f938d60e386aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3b6d38df0786ccf7f938d60e386aae">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00044">44</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a47706b4a038ab21995bc1b331cd42164" name="a47706b4a038ab21995bc1b331cd42164"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47706b4a038ab21995bc1b331cd42164">&#9670;&#160;</a></span>InitBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InitBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a>&#160;</td>
          <td class="paramname"><em>manager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00037">37</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="acd2bd274749fe88c223cf2309f6fb9d6" name="acd2bd274749fe88c223cf2309f6fb9d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd2bd274749fe88c223cf2309f6fb9d6">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00130">130</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a9c5ca6db77e6e3d30a98b7b98a7dafc8" name="a9c5ca6db77e6e3d30a98b7b98a7dafc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c5ca6db77e6e3d30a98b7b98a7dafc8">&#9670;&#160;</a></span>IsLocked()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsLocked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00140">140</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ae80bd177c35acb39cd6a311c2749331f" name="ae80bd177c35acb39cd6a311c2749331f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae80bd177c35acb39cd6a311c2749331f">&#9670;&#160;</a></span>IsPersistent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsPersistent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00052">52</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a6189534ed07c7b6268b921bc19d6153d" name="a6189534ed07c7b6268b921bc19d6153d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6189534ed07c7b6268b921bc19d6153d">&#9670;&#160;</a></span>IsTrackAttachedTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsTrackAttachedTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00145">145</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="adfc4b2dd05773180bb31f1a308f2f256" name="adfc4b2dd05773180bb31f1a308f2f256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfc4b2dd05773180bb31f1a308f2f256">&#9670;&#160;</a></span>MakeParamObjectPersistent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MakeParamObjectPersistent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00057">57</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a28fe45992845d0491f1a5bbd669e366c" name="a28fe45992845d0491f1a5bbd669e366c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fe45992845d0491f1a5bbd669e366c">&#9670;&#160;</a></span>ModifierBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00032">32</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aaf1f4a946562de51ffce20654c40d4ed" name="aaf1f4a946562de51ffce20654c40d4ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf1f4a946562de51ffce20654c40d4ed">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>is called when an inactive modifier gets activated during gameplay, is NOT called on activation upon player server connection(see OnReconnect) </p>

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00185">185</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aca9bdf3a9820e956414c1c95cb1bcf8b" name="aca9bdf3a9820e956414c1c95cb1bcf8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca9bdf3a9820e956414c1c95cb1bcf8b">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00196">196</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="acb7d058521c8fb071a42bb730bfe9d18" name="acb7d058521c8fb071a42bb730bfe9d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7d058521c8fb071a42bb730bfe9d18">&#9670;&#160;</a></span>OnReconnect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnReconnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>is called when a modifier is being re-activated upon player server connection, use to activate systems which are not persistent and need to run alongside active modifiers </p>

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00191">191</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ad975050d7a080cca462e74c604f404a2" name="ad975050d7a080cca462e74c604f404a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad975050d7a080cca462e74c604f404a2">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00229">229</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ad5fbca2c8faa29c9f2abded7f8c1efbe" name="ad5fbca2c8faa29c9f2abded7f8c1efbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fbca2c8faa29c9f2abded7f8c1efbe">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00234">234</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a89faf32949abaf245f7b506f01351292" name="a89faf32949abaf245f7b506f01351292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89faf32949abaf245f7b506f01351292">&#9670;&#160;</a></span>ResetLastTickTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ResetLastTickTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00063">63</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a253f06963fec3e74de8204441b28f497" name="a253f06963fec3e74de8204441b28f497"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a253f06963fec3e74de8204441b28f497">&#9670;&#160;</a></span>SetAttachedTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetAttachedTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00155">155</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a4f21197fea104d859b8ac72f8c501660" name="a4f21197fea104d859b8ac72f8c501660"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f21197fea104d859b8ac72f8c501660">&#9670;&#160;</a></span>SetLock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00135">135</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ab67045236526b55e73528b15d854bd1a" name="ab67045236526b55e73528b15d854bd1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab67045236526b55e73528b15d854bd1a">&#9670;&#160;</a></span>Tick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Tick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00088">88</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4c17a64f57c5921e4fb31dfacefcaf2f" name="a4c17a64f57c5921e4fb31dfacefcaf2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c17a64f57c5921e4fb31dfacefcaf2f">&#9670;&#160;</a></span>m_AccumulatedTimeActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_AccumulatedTimeActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00022">22</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a3fb679b8e90e81e1e525edb05fe938a5" name="a3fb679b8e90e81e1e525edb05fe938a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fb679b8e90e81e1e525edb05fe938a5">&#9670;&#160;</a></span>m_AccumulatedTimeInactive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_AccumulatedTimeInactive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00023">23</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a92eca2aaad5eb72f13c39aff3d5f5881" name="a92eca2aaad5eb72f13c39aff3d5f5881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92eca2aaad5eb72f13c39aff3d5f5881">&#9670;&#160;</a></span>m_ActivatedTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_ActivatedTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00014">14</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ac3e751efa3b0bf89b63227e0cee2e250" name="ac3e751efa3b0bf89b63227e0cee2e250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e751efa3b0bf89b63227e0cee2e250">&#9670;&#160;</a></span>m_ActivationType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a> m_ActivationType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00028">28</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a381cc1e1edcfb40ace8358de0ee8cbd4" name="a381cc1e1edcfb40ace8358de0ee8cbd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a381cc1e1edcfb40ace8358de0ee8cbd4">&#9670;&#160;</a></span>m_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a> m_ID = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a3d3c40e1c50b7a9d14cb880b784df2" name="a9a3d3c40e1c50b7a9d14cb880b784df2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a3d3c40e1c50b7a9d14cb880b784df2">&#9670;&#160;</a></span>m_IsActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_IsActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00020">20</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a78ba1865a3e39379bcede97665de0d41" name="a78ba1865a3e39379bcede97665de0d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78ba1865a3e39379bcede97665de0d41">&#9670;&#160;</a></span>m_IsLocked</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_IsLocked = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00027">27</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ae8326cd63358abd4d8bfa7c8538fecd4" name="ae8326cd63358abd4d8bfa7c8538fecd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8326cd63358abd4d8bfa7c8538fecd4">&#9670;&#160;</a></span>m_IsPersistent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_IsPersistent</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00016">16</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a978d545fd7b03e57181c61fcb8ab3b44" name="a978d545fd7b03e57181c61fcb8ab3b44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a978d545fd7b03e57181c61fcb8ab3b44">&#9670;&#160;</a></span>m_LastTickedActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_LastTickedActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00024">24</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a9c3121c9df7e0829e173def9fbcd88b0" name="a9c3121c9df7e0829e173def9fbcd88b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c3121c9df7e0829e173def9fbcd88b0">&#9670;&#160;</a></span>m_LastTickedInactive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_LastTickedInactive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a30d63017a9f01517dc55d70e098b89b8" name="a30d63017a9f01517dc55d70e098b89b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30d63017a9f01517dc55d70e098b89b8">&#9670;&#160;</a></span>m_Manager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a> m_Manager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00012">12</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="af725073fee975b834ffbf029b1e97b70" name="af725073fee975b834ffbf029b1e97b70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af725073fee975b834ffbf029b1e97b70">&#9670;&#160;</a></span>m_ModulePlayerStatus</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PluginPlayerStatus m_ModulePlayerStatus</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00030">30</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a4db3d46d75d2864daed52041fe1f0973" name="a4db3d46d75d2864daed52041fe1f0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3d46d75d2864daed52041fe1f0973">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00017">17</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a77065db0317ac406335a69e6fe27753d" name="a77065db0317ac406335a69e6fe27753d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77065db0317ac406335a69e6fe27753d">&#9670;&#160;</a></span>m_ShouldBeActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_ShouldBeActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00021">21</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aa13e9ceb481752169c6aa44663e496d6" name="aa13e9ceb481752169c6aa44663e496d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa13e9ceb481752169c6aa44663e496d6">&#9670;&#160;</a></span>m_SyncID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a> m_SyncID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00029">29</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="ac5f68bcb6c9223635590cb69f9c9dd73" name="ac5f68bcb6c9223635590cb69f9c9dd73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5f68bcb6c9223635590cb69f9c9dd73">&#9670;&#160;</a></span>m_System</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_System = &quot;Modifiers&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aa9aa2d760c0099abe3d671d7c4c6368f" name="aa9aa2d760c0099abe3d671d7c4c6368f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa2d760c0099abe3d671d7c4c6368f">&#9670;&#160;</a></span>m_TickIntervalActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_TickIntervalActive = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00019">19</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="aad5f52b5eb22d81599e8a25ec6055d22" name="aad5f52b5eb22d81599e8a25ec6055d22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad5f52b5eb22d81599e8a25ec6055d22">&#9670;&#160;</a></span>m_TickIntervalInactive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_TickIntervalInactive = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00018">18</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a9f3681cfa34208f711ba22331159bc7a" name="a9f3681cfa34208f711ba22331159bc7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f3681cfa34208f711ba22331159bc7a">&#9670;&#160;</a></span>m_TickType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_TickType = (<a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">eModifiersTickType.TICK</a> | <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">eModifiersTickType.ACTIVATE_CHECK</a> | <a class="el" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">eModifiersTickType.DEACTIVATE_CHECK</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00025">25</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
<a id="a04ae6d90cb75d3086c27e65cddd358a0" name="a04ae6d90cb75d3086c27e65cddd358a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04ae6d90cb75d3086c27e65cddd358a0">&#9670;&#160;</a></span>m_TrackActivatedTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_TrackActivatedTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d0e/_modifier_base_8c_source.html#l00015">15</a> of file <a class="el" href="../../de/d0e/_modifier_base_8c_source.html">ModifierBase.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../de/d0e/_modifier_base_8c.html">ModifierBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
